Subject: Re: bug#24790: Acknowledgement (Segmentation fault when changing default font on master)

From: Clément Pit--Claudel <[email-masked]>
Date: Tue, 25 Oct 2016 13:50:18 -0400

On 2016-10-25 13:09, Eli Zaretskii wrote:
>> From: Clément Pit--Claudel <[email-masked]>
>> Date: Tue, 25 Oct 2016 12:05:35 -0400
>>
>> The issue seems to be that the font has self-intersecting glyphs; still, this shouldn't crash Emacs.
> 
> What do you mean by self-intersecting glyphs?
> 
> The backtrace you posted has nothing to do with drawing, AFAICT, it
> happens inside internal-set-lisp-face-attribute, which attempts to
> open a font, and dies inside AREF during that.
> 
> So I don't necessarily see how the glyphs could be related, at least
> not with the data you provided.

The only thing that seems obviously wrong with the font that I posted is that some of the paths of its glyphs are self-intersecting (or at least FontForge says so).  I thought it could be relevant to mention this.

Let me know what data I could provide to help shed light on the issue (I'll remove my cache-related patch and send the results in a separate reply) :)

Clément.